<template>
	<div class="index"></div>
</template>

<script setup lang="ts" name="loginIndex">
import { onMounted } from 'vue';
import { NextLoading } from '/@/utils/loading';
import { useRoute, useRouter } from 'vue-router';
import { isMobileByWidth } from '/@/utils/Utils'
import { Session, Local } from '/@/utils/storage';

const route = useRoute();
const router = useRouter();

// 页面加载时
onMounted(() => {
	console.log('🚀 ~ file: index.vue:13 ~ onMounted ~ onMounted:');
	NextLoading.done();

	if (isMobileByWidth() && Session.get('userInfoLocal').userType == '01') {
		router.push({ path: '/richeditMobile' });
	} else {
		router.push({
			path: '/richedit',
		});
	}

});
</script>

<style scoped lang="scss">
.index {
	background-color: white;
}
</style>
